/* 
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 19.09.2021г.
*/

#include <Wire.h>                            // Подключаем библиотеку Wire
#include <OLED_I2C.h>                        // Подключение библиотеки OLED_I2C
OLED  myOLED(SDA, SCL, 8); 
#include "SparkFunHTU21D.h"                  // Подключаем библиотеку SparkFunHTU21D
HTU21D myHumidity;                           // Создаем объект для работы с датчиком                
                             
extern uint8_t MegaNumbers[];                // Подключение больших шрифтов
extern uint8_t SmallFont[];                  // Подключение маленьких

void setup()
{
  Serial.begin(9600);                        // Открытие последовательного порта на скорости 9600
  Serial.println("HTU21D Example!");         // Отправка сообщения в последовательного порт
  myOLED.begin();                            // Инициализация OLED
  myHumidity.begin();                        // Инициализация HTU21D
}

void loop()
{
  float humd = myHumidity.readHumidity();    // Считываем влажность
  float temp = myHumidity.readTemperature(); // Считываем температуру
   
  myOLED.clrScr();                                     // Очищаем экран
  myOLED.setFont(MegaNumbers);                         // Включаем большой шрифт
  myOLED.print(String(myHumidity.readTemperature() , 1), CENTER, 12); 
  myOLED.setFont(SmallFont);                           // Включаем маленький шрифт
  myOLED.print("Temperature", CENTER, 57);               // Отображение надписи
  myOLED.update();                                     // Обновляем информацию на дисплее
  delay(1000);  

  myOLED.clrScr();                                     // Очищаем экран
  myOLED.setFont(MegaNumbers);                         // Включаем большой шрифт
  myOLED.print(String(myHumidity.readHumidity() , 1), CENTER, 12); 
  myOLED.setFont(SmallFont);                           // Включаем маленький шрифт
  myOLED.print("Humidity", CENTER, 57);               // Отображение надписи
  myOLED.update();                                     // Обновляем информацию на дисплее
  delay(1000);     
  
  Serial.print("Temperature:");              // Отправка сообщения
  Serial.print(temp, 1);                     // Отправка температуры
  Serial.print("C");                         // Отправка сообщения
  Serial.print(" Humidity:");                // Отправка сообщения
  Serial.print(humd, 1);                     // Отправка влажности
  Serial.print("%");                         // Отправка сообщения
  Serial.println();                          // Отправка сообщения
  delay(1000);                               // Пауза
}
